Subject: Re: SCTP NAT module for netfilter

From: Vlad Yasevich <[email-masked]>
Date: Mon, 04 Feb 2008 10:40:57 -0500

Sohan Shetty wrote:
> Is  anyone aware if there an  NAT module for netfilter being developed for SCTP protocol ?

I don't believe there is one yet.  You are always welcome to write it.

> 
> 
> I have searched the netfilter development tree source code and also mailing list and so far I have not found the NAT module for SCTP . There is SCTP conntrack module and packet match module. 
> 
> If anyone is aware and can point me to  some one who is already working on this or has evaluated this it would be of great help.
> 
> 
> SCTP is defined in [RFC 2960] Stewart, R., Xie, Q., Morneault, K., Sharp, C., Schwarzbauer, H., Taylor, T., Rytina, I., Kalla, M., Zhang, L. and V. Paxson, "Stream Control Transmission Protocol", RFC 2960, October 2000. 
> 

This has been updated.  See RFC 4960.

-vlad